pcTaskGetHandle

task. h

    TaskHandle_t xTaskGetHandle( const char *pcNameToQuery );

NOTE: This function takes a relatively long time to complete and should be used sparingly.

Returns
  The handle of the task that has the human readable name pcNameToQuery. NULL is returned if no matching name is found. INCLUDE_xTaskGetHandle must be set to 1 in FreeRTOSConfig.h for pcTaskGetHandle() to be available.